| OGRE 1.10.8 Object-Oriented Graphics Rendering Engine

Public Attributes | List of all members
Ogre::SceneManagerMetaData Struct Reference
Core » Scene

Structure containing information about a scene manager. More...

`#include <OgreSceneManager.h>`

## Public Attributes
String | description
| A text description of the scene manager. More...
SceneTypeMask | sceneTypeMask
| A mask describing which sorts of scenes this manager can handle. More...
String | typeName
| A globally unique string identifying the scene manager type. More...
bool | worldGeometrySupported
| Flag indicating whether world geometry is supported. More...

## Detailed Description

Structure containing information about a scene manager.

## Member Data Documentation

## ◆ typeName

String Ogre::SceneManagerMetaData::typeName

A globally unique string identifying the scene manager type.

## ◆ description

String Ogre::SceneManagerMetaData::description

A text description of the scene manager.

## ◆ sceneTypeMask

SceneTypeMask Ogre::SceneManagerMetaData::sceneTypeMask

A mask describing which sorts of scenes this manager can handle.

## ◆ worldGeometrySupported

bool Ogre::SceneManagerMetaData::worldGeometrySupported

Flag indicating whether world geometry is supported.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h